Subject: bug#40202: closed (Re: bug#40202: directory-files-recursively docstring unclear about include-directories)

From: [email-masked] (GNU bug Tracking System)
Date: Wed, 25 Mar 2020 19:58:02 +0000

Your bug report

#40202: directory-files-recursively docstring unclear about include-directories

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
40202: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=40202
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#40202: directory-files-recursively docstring unclear about include-directories
From: Eli Zaretskii <[email-masked]>
To: Arun Isaac <[email-masked]>
Cc: [email-masked], [email-masked], [email-masked]
Date: Wed, 25 Mar 2020 21:57:16 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

> From: Arun Isaac <[email-masked]>
> Cc: Lars Ingebrigtsen <[email-masked]>, Eli Zaretskii <[email-masked]>
> Date: Thu, 26 Mar 2020 01:08:20 +0530
> 
> > Or a more prompting style
> >
> > "If INCLUDE-DIRECTORIES is non-nil, also include directories whose names
> > matches REGEXP in the returned list."
> 
> I did consider this style. But, it is slightly harder to parse. For
> example, it is easy to misparse the sentence as "also include
> directories (whose names match REGEXP in the returned list)" when the
> correct parsing should be "also include (directories whose names match
> REGEXP) in the returned list".

IME, if some text causes parsing difficulties, it is best dropped
altogether, especially if it is redundant.  So that's what I did, see
the emacs-27 branch.

And with that, I'm closing this bug.  Thanks for pointing out the
ambiguity of the original text.

Subject: directory-files-recursively docstring unclear about include-directories
From: Arun Isaac <[email-masked]>
To: [email-masked]
Date: Tue, 24 Mar 2020 02:46:55 +0530
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi,

The docstring of directory-file-recursively in lisp/files.el is unclear
about the include-directories optional argument. It currently reads

"Optional argument INCLUDE-DIRECTORIES non-nil means also include
in the output directories whose names match REGEXP."

Perhaps this could be rewritten as

"If optional argument INCLUDE-DIRECTORIES is non-nil, the returned list
also includes directories whose names match REGEXP."

Thanks,
Arun